<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

class CustomerStatusEnum
{
    public const CREATED = 1;
    public const NEW = 2;
    public const CONSIDERATION = 3;
    public const REJECTED = 4;
    public const ACTIVE = 5;
    public const PROBLEM = 6;
    public const BLOCK = 7;
    public const POTENTIAL_RP = 8;
    public const TEMPORALITY_SUSPENDED = 9;

    /**
     * @return int[]
     */
    public static function cases(): array
    {
        return [
            self::CREATED,
            self::NEW,
            self::CONSIDERATION,
            self::REJECTED,
            self::ACTIVE,
            self::PROBLEM,
            self::BLOCK,
            self::POTENTIAL_RP,
            self::TEMPORALITY_SUSPENDED,
        ];
    }
}
